Admin Experiments
All paths below are relative to the base URL https://api.agentdepot.org — for example
GET https://api.agentdepot.org/api/admin/agent-experiments-settings. Authenticate with an
Authorization: Bearer <token> header. See the
REST API reference for details.
GET /api/admin/agent-experiments-settings
Section titled “GET /api/admin/agent-experiments-settings”Get Agent Experiments Settings
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | AgentExperimentsSettingsResponse |
| 422 | Validation Error | HTTPValidationError |
PATCH /api/admin/agent-experiments-settings
Section titled “PATCH /api/admin/agent-experiments-settings”Update Agent Experiments Settings
Request body (required)
| Field | Type | Required | Description |
|---|---|---|---|
| enabled | boolean | no |
Responses
| Status | Description | Body |
|---|---|---|
| 200 | Successful Response | AgentExperimentsSettingsResponse |
| 422 | Validation Error | HTTPValidationError |